Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query
Interface QueryPackage.Literals

Enclosing interface:
  QueryPackage

    public static interface QueryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` | `JAVA_MODEL_QUERY` The meta object literal for the '`Java Model Query`' class.
`static EAttribute` | `JAVA_MODEL_QUERY__IMPLEMENTATION_CLASS_NAME` The meta object literal for the 'Implementation Class Name' attribute feature.
`static EClass` | `MODEL_QUERY` The meta object literal for the '`Model Query`' class.
`static EAttribute` | `MODEL_QUERY__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static EAttribute` | `MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT` The meta object literal for the 'Is External Context Dependent' attribute feature.
`static EAttribute` | `MODEL_QUERY__LOWER_BOUND` The meta object literal for the 'Lower Bound' attribute feature.
`static EReference` | `MODEL_QUERY__MODEL_QUERY_SET` The meta object literal for the 'Model Query Set' container reference feature.
`static EAttribute` | `MODEL_QUERY__NAME` The meta object literal for the 'Name' attribute feature.
`static EReference` | `MODEL_QUERY__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
`static EReference` | `MODEL_QUERY__RETURN_TYPE` The meta object literal for the 'Return Type' reference feature.
`static EReference` | `MODEL_QUERY__SCOPE` The meta object literal for the 'Scope' reference list feature.
`static EAttribute` | `MODEL_QUERY__UPPER_BOUND` The meta object literal for the 'Upper Bound' attribute feature.
`static EClass` | `MODEL_QUERY_PARAMETER` The meta object literal for the '`Model Query Parameter`' class.
`static EAttribute` | `MODEL_QUERY_PARAMETER__LOWER_BOUND` The meta object literal for the 'Lower Bound' attribute feature.
`static EAttribute` | `MODEL_QUERY_PARAMETER__NAME` The meta object literal for the 'Name' attribute feature.
`static EReference` | `MODEL_QUERY_PARAMETER__TYPE` The meta object literal for the 'Type' reference feature.
`static EAttribute` | `MODEL_QUERY_PARAMETER__UPPER_BOUND` The meta object literal for the 'Upper Bound' attribute feature.
`static EClass` | `MODEL_QUERY_SET` The meta object literal for the '`Model Query Set`' class.
`static EReference` | `MODEL_QUERY_SET__ASSOCIATED_METAMODELS` The meta object literal for the 'Associated Metamodels' reference list feature.
`static EAttribute` | `MODEL_QUERY_SET__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static EAttribute` | `MODEL_QUERY_SET__IS_EDITABLE` The meta object literal for the 'Is Editable' attribute feature.
`static EAttribute` | `MODEL_QUERY_SET__NAME` The meta object literal for the 'Name' attribute feature.
`static EReference` | `MODEL_QUERY_SET__QUERIES` The meta object literal for the 'Queries' containment reference list feature.
`static EClass` | `OCL_MODEL_QUERY` The meta object literal for the '`OCL Model Query`' class.
`static EAttribute` | `OCL_MODEL_QUERY__QUERY` The meta object literal for the 'Query' attribute feature.

Field Detail

### MODEL_QUERY_SET

    static final EClass MODEL_QUERY_SET

  The meta object literal for the '`Model Query Set`' class.

  See Also:
    `ModelQuerySetImpl`, `QueryPackageImpl.getModelQuerySet()`

### MODEL_QUERY_SET__ASSOCIATED_METAMODELS

    static final EReference MODEL_QUERY_SET__ASSOCIATED_METAMODELS

  The meta object literal for the 'Associated Metamodels' reference list feature.

### MODEL_QUERY_SET__NAME

    static final EAttribute MODEL_QUERY_SET__NAME

  The meta object literal for the 'Name' attribute feature.

### MODEL_QUERY_SET__IS_EDITABLE

    static final EAttribute MODEL_QUERY_SET__IS_EDITABLE

  The meta object literal for the 'Is Editable' attribute feature.

### MODEL_QUERY_SET__DESCRIPTION

    static final EAttribute MODEL_QUERY_SET__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### MODEL_QUERY_SET__QUERIES

    static final EReference MODEL_QUERY_SET__QUERIES

  The meta object literal for the 'Queries' containment reference list feature.

### MODEL_QUERY

    static final EClass MODEL_QUERY

  The meta object literal for the '`Model Query`' class.

  See Also:
    `ModelQueryImpl`, `QueryPackageImpl.getModelQuery()`

### MODEL_QUERY__NAME

    static final EAttribute MODEL_QUERY__NAME

  The meta object literal for the 'Name' attribute feature.

### MODEL_QUERY__DESCRIPTION

    static final EAttribute MODEL_QUERY__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### MODEL_QUERY__RETURN_TYPE

    static final EReference MODEL_QUERY__RETURN_TYPE

  The meta object literal for the 'Return Type' reference feature.

### MODEL_QUERY__SCOPE

    static final EReference MODEL_QUERY__SCOPE

  The meta object literal for the 'Scope' reference list feature.

### MODEL_QUERY__MODEL_QUERY_SET

    static final EReference MODEL_QUERY__MODEL_QUERY_SET

  The meta object literal for the 'Model Query Set' container reference feature.

### MODEL_QUERY__PARAMETERS

    static final EReference MODEL_QUERY__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.

### MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

    static final EAttribute MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT

  The meta object literal for the 'Is External Context Dependent' attribute feature.

### MODEL_QUERY__UPPER_BOUND

    static final EAttribute MODEL_QUERY__UPPER_BOUND

  The meta object literal for the 'Upper Bound' attribute feature.

### MODEL_QUERY__LOWER_BOUND

    static final EAttribute MODEL_QUERY__LOWER_BOUND

  The meta object literal for the 'Lower Bound' attribute feature.

### JAVA_MODEL_QUERY

    static final EClass JAVA_MODEL_QUERY

  The meta object literal for the '`Java Model Query`' class.

  See Also:
    `JavaModelQueryImpl`, `QueryPackageImpl.getJavaModelQuery()`

### JAVA_MODEL_QUERY__IMPLEMENTATION_CLASS_NAME

    static final EAttribute JAVA_MODEL_QUERY__IMPLEMENTATION_CLASS_NAME

  The meta object literal for the 'Implementation Class Name' attribute feature.

### MODEL_QUERY_PARAMETER

    static final EClass MODEL_QUERY_PARAMETER

  The meta object literal for the '`Model Query Parameter`' class.

  See Also:
    `ModelQueryParameterImpl`, `QueryPackageImpl.getModelQueryParameter()`

### MODEL_QUERY_PARAMETER__NAME

    static final EAttribute MODEL_QUERY_PARAMETER__NAME

  The meta object literal for the 'Name' attribute feature.

### MODEL_QUERY_PARAMETER__TYPE

    static final EReference MODEL_QUERY_PARAMETER__TYPE

  The meta object literal for the 'Type' reference feature.

### MODEL_QUERY_PARAMETER__UPPER_BOUND

    static final EAttribute MODEL_QUERY_PARAMETER__UPPER_BOUND

  The meta object literal for the 'Upper Bound' attribute feature.

### MODEL_QUERY_PARAMETER__LOWER_BOUND

    static final EAttribute MODEL_QUERY_PARAMETER__LOWER_BOUND

  The meta object literal for the 'Lower Bound' attribute feature.

### OCL_MODEL_QUERY

    static final EClass OCL_MODEL_QUERY

  The meta object literal for the '`OCL Model Query`' class.

  See Also:
    `OCLModelQueryImpl`, `QueryPackageImpl.getOCLModelQuery()`

### OCL_MODEL_QUERY__QUERY

    static final EAttribute OCL_MODEL_QUERY__QUERY

  The meta object literal for the 'Query' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD